﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Authors.aspx.cs" Inherits="asgn1.Authors" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Authors
    </h2>
    <asp:GridView ID="AuthorsGridView" runat="server" AllowPaging="True" 
    AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="au_id" 
    DataSourceID="ldsAuthors" 
        onselectedindexchanged="AuthorsGridView_SelectedIndexChanged">
    <Columns>
        <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
        <asp:TemplateField HeaderText="Author ID" SortExpression="au_id">
            <EditItemTemplate>
                <asp:Label ID="authorIDLabel" runat="server" Text='<%# Eval("au_id") %>'></asp:Label>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="authorIDLabel" runat="server" Text='<%# Bind("au_id") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Last Name" SortExpression="au_lname">
            <EditItemTemplate>
                <asp:TextBox ID="lnameTextBox" runat="server" Text='<%# Bind("au_lname") %>'></asp:TextBox>
                <asp:RequiredFieldValidator ID="lnameRequiredFieldValidator" runat="server" 
                    ControlToValidate="lnameTextBox" ErrorMessage="Last name is required."></asp:RequiredFieldValidator>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="lnameLabel" runat="server" Text='<%# Bind("au_lname") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="First Name" SortExpression="au_fname">
            <EditItemTemplate>
                <asp:TextBox ID="fnameTextBox" runat="server" Text='<%# Bind("au_fname") %>'></asp:TextBox>
                <asp:RequiredFieldValidator ID="fnameRequiredFieldValidator" runat="server" 
                    ControlToValidate="fnameTextBox" ErrorMessage="First name is required."></asp:RequiredFieldValidator>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="fnameLabel" runat="server" Text='<%# Bind("au_fname") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Phone" SortExpression="phone">
            <EditItemTemplate>
                <asp:TextBox ID="phoneTextBox" runat="server" Text='<%# Bind("phone") %>'></asp:TextBox>
                <asp:RequiredFieldValidator ID="phoneRequiredFieldValidator" runat="server" 
                    ControlToValidate="phoneTextBox" ErrorMessage="Phone number is required."></asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="phoneRegularExpressionValidator" runat="server" 
                    ControlToValidate="phoneTextBox" 
                    ErrorMessage="Phone number must be of format 999 999-9999" 
                    ValidationExpression="\d{3} \d{3}-\d{4}"></asp:RegularExpressionValidator>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="phoneLabel" runat="server" Text='<%# Bind("phone") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Address" SortExpression="address">
            <EditItemTemplate>
                <asp:TextBox ID="addressTextBox" runat="server" Text='<%# Bind("address") %>'></asp:TextBox>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="addressLabel" runat="server" Text='<%# Bind("address") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="City" SortExpression="city">
            <EditItemTemplate>
                <asp:TextBox ID="cityTextBox" runat="server" Text='<%# Bind("city") %>'></asp:TextBox>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="cityLabel" runat="server" Text='<%# Bind("city") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="State" SortExpression="state">
            <EditItemTemplate>
                <asp:TextBox ID="stateTextBox" runat="server" Text='<%# Bind("state") %>'></asp:TextBox>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="stateLabel" runat="server" Text='<%# Bind("state") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Zip" SortExpression="zip">
            <EditItemTemplate>
                <asp:TextBox ID="zipTextBox" runat="server" Text='<%# Bind("zip") %>'></asp:TextBox>
                <asp:RegularExpressionValidator ID="zipRegularExpressionValidator" runat="server" 
                    ControlToValidate="zipTextBox" ErrorMessage="Must be standard 5-digit US ZIP." 
                    ValidationExpression="\d{5}"></asp:RegularExpressionValidator>
            </EditItemTemplate>
            <ItemTemplate>
                <asp:Label ID="zipLabel" runat="server" Text='<%# Bind("zip") %>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:CheckBoxField DataField="contract" HeaderText="Contract" 
            SortExpression="contract" />
        <asp:ButtonField CommandName="Select" HeaderText="Search Map" ShowHeader="True" 
            Text="Map" />
    </Columns>
</asp:GridView>
<asp:HyperLink ID="addAuthorHyperLink" runat="server" 
    NavigateUrl="~/Private/AddAuthor.aspx">Add new Author...</asp:HyperLink>
<asp:LinqDataSource ID="ldsAuthors" runat="server" 
    ContextTypeName="asgn1.AuthorsDataContext" EnableDelete="True" 
    EnableUpdate="True" EntityTypeName="" TableName="authors">
</asp:LinqDataSource>
</asp:Content>
